*,
*::before,
*::after {
  box-sizing: border-box;
}

html {
  margin: 0;
  padding: 0;
}

body {
  margin: 0;
  padding: 0;
}

/* Courier Prime Regular */
@font-face {
  font-family: "Courier Prime";
  src: url("../fonts/courier-prime/CourierPrime-Regular.woff2") format("woff2");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}
/* Courier Prime Italic */
@font-face {
  font-family: "Courier Prime";
  src: url("../fonts/courier-prime/CourierPrime-Italic.woff2") format("woff2");
  font-weight: 400;
  font-style: italic;
  font-display: swap;
}
/* Courier Prime Bold */
@font-face {
  font-family: "Courier Prime";
  src: url("../fonts/courier-prime/CourierPrime-Bold.woff2") format("woff2");
  font-weight: 700;
  font-style: normal;
  font-display: swap;
}
/* Courier Prime Bold Italic */
@font-face {
  font-family: "Courier Prime";
  src: url("../fonts/courier-prime/CourierPrime-BoldItalic.woff2") format("woff2");
  font-weight: 700;
  font-style: italic;
  font-display: swap;
}
/* ------------------------------------------------------------------------ */
/* Scto Grotesk A Black */
@font-face {
  font-family: "Scto Grotesk A";
  src: url("../fonts/scto-grotesk-a/SctoGroteskA-Black.woff2") format("woff2");
  font-weight: 700;
  font-style: normal;
  font-display: swap;
}
/* Scto Grotesk A Black Italic */
@font-face {
  font-family: "Scto Grotesk A";
  src: url("../fonts/scto-grotesk-a/SctoGroteskA-BlackItalic.woff2") format("woff2");
  font-weight: 700;
  font-style: italic;
  font-display: swap;
}
/* Scto Grotesk A Bold */
@font-face {
  font-family: "Scto Grotesk A";
  src: url("../fonts/scto-grotesk-a/SctoGroteskA-Bold.woff2") format("woff2");
  font-weight: 600;
  font-style: normal;
  font-display: swap;
}
/* Scto Grotesk A Bold Italic */
@font-face {
  font-family: "Scto Grotesk A";
  src: url("../fonts/scto-grotesk-a/SctoGroteskA-BoldItalic.woff2") format("woff2");
  font-weight: 600;
  font-style: italic;
  font-display: swap;
}
/* Scto Grotesk A Light */
@font-face {
  font-family: "Scto Grotesk A";
  src: url("../fonts/scto-grotesk-a/SctoGroteskA-Light.woff2") format("woff2");
  font-weight: 200;
  font-style: normal;
  font-display: swap;
}
/* Scto Grotesk A Light Italic */
@font-face {
  font-family: "Scto Grotesk A";
  src: url("../fonts/scto-grotesk-a/SctoGroteskA-LightItalic.woff2") format("woff2");
  font-weight: 200;
  font-style: italic;
  font-display: swap;
}
/* Scto Grotesk A Medium */
@font-face {
  font-family: "Scto Grotesk A";
  src: url("../fonts/scto-grotesk-a/SctoGroteskA-Medium.woff2") format("woff2");
  font-weight: 500;
  font-style: normal;
  font-display: swap;
}
/* Scto Grotesk A Medium Italic */
@font-face {
  font-family: "Scto Grotesk A";
  src: url("../fonts/scto-grotesk-a/SctoGroteskA-MediumItalic.woff2") format("woff2");
  font-weight: 500;
  font-style: italic;
  font-display: swap;
}
/* Scto Grotesk A Regular */
@font-face {
  font-family: "Scto Grotesk A";
  src: url("../fonts/scto-grotesk-a/SctoGroteskA-Regular.woff2") format("woff2");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}
/* Scto Grotesk A Regular Italic */
@font-face {
  font-family: "Scto Grotesk A";
  src: url("../fonts/scto-grotesk-a/SctoGroteskA-RegularItalic.woff2") format("woff2");
  font-weight: 400;
  font-style: italic;
  font-display: swap;
}
/* Scto Grotesk A Thin */
@font-face {
  font-family: "Scto Grotesk A";
  src: url("../fonts/scto-grotesk-a/SctoGroteskA-Thin.woff2") format("woff2");
  font-weight: 100;
  font-style: normal;
  font-display: swap;
}
/* Scto Grotesk A Thin Italic */
@font-face {
  font-family: "Scto Grotesk A";
  src: url("../fonts/scto-grotesk-a/SctoGroteskA-ThinItalic.woff2") format("woff2");
  font-weight: 100;
  font-style: italic;
  font-display: swap;
}
body {
  background-color: #000;
  color: #fff;
  font-family: "Courier Prime", monospace;
}

#page {
  width: 100vw;
  height: 100vh;
}

header {
  position: fixed;
  top: 18px;
  left: 18px;
  z-index: 10;
}
header .site-title {
  font-family: "Scto Grotesk A", sans-serif;
  font-size: 12px;
  font-weight: 600;
  margin: 0;
}
@media only screen and (min-width: 1640px) {
  header .site-title {
    font-size: 14px;
	line-height: 22px;
  }
}
header .site-title a {
  color: var(--white-color);
  text-transform: uppercase;
  text-decoration: none;
}
header nav {
	position: fixed;
	background-color: #fff;
	top: 50%;
	left: 0;
	transform: translateY(-50%);
	z-index: 11;
}
header nav .menu-toggle {
    padding: 0;
	text-transform: uppercase;
	font-size: 14px;
	font-weight: bold;
	font-family: "Scto Grotesk A", sans-serif;
	line-height: 16px;
	border: none;
	background-color: transparent;
	margin: auto;
	height: 14px;
}
header nav ul {
  padding: 25px 12px;
  display: flex;
  width: 100%;
  justify-content: space-between;
}
@media only screen and (min-width: 768px) {
	header nav ul {
		padding: 0 12px;
	}
}
header nav ul li {
  cursor: pointer;
}
header nav ul li a {
	color: #000;
	text-transform: uppercase;
	font-size: 24px;
	line-height: 30px;
	font-weight: bold;
	font-family: "Scto Grotesk A", sans-serif;
	margin-bottom: -2px;
	text-align: center;
}
@media only screen and (min-width: 768px) {
	header nav ul li a {
		font-size: 14px;
		line-height: 16px;
		text-align: auto;
	}
}
header nav ul li a:visited {
  color: #000;
}
header nav ul li a:hover {
  font-style: italic;
}

.full-screen {
  width: 100%;
  height: 100%;
}


.description {
  position: absolute;
  top: 18px;
  left: 0;
  z-index: 2;
}
@media only screen and (min-width: 768px) {
	.description {
		width: 50%;
	}
}
.description p {
  margin: 0;
  font-size: 12px;
  padding-left: 18px;
}
@media only screen and (min-width: 1640px) {
  .description p {
    font-size: 14px;
  }
}
.description p span {
  font-size: 12px;
  font-family: "Scto Grotesk A", sans-serif;
  font-weight: 600;
  text-transform: uppercase;
  opacity: 0;
  pointer-events: none;
}
@media only screen and (min-width: 1640px) {
  .description p span {
    font-size: 14px;
  }
}

#home {
  position: relative;
}
#home .img-wrapper {
  position: absolute;
  width: 100%;
  height: 100%;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  left: 0;
  z-index: -1;
}
@media only screen and (min-width: 768px) {
	#home .img-wrapper {
		width: 50%;
		right: 0;
		left: unset;
	}
}

#shows {
  position: relative;
}
#shows .wrapper {
	display: flex;
	justify-content: end;
	height: 50vh;
	overflow: hidden;
}
#shows .wrapper .img-wrapper {
	position: absolute;
	width: 100%;
	height: 50%;
	background-size: cover;
	background-position: center;
	background-repeat: no-repeat;
	left: 0;
	top: 50%;
	z-index: -1;
}
#shows .wrapper .shows-wrapper {
	width: 100%;
	display: flex;
	flex-direction: column;
	font-size: 15px;
	overflow: scroll;
}
@media only screen and (min-width: 768px) {
	#shows .wrapper {
		display: flex;
		justify-content: end;
		height: unset;
		overflow: unset;
	}
	#shows .wrapper .img-wrapper {
		width: 50%;
		height: 100%;
		top: unset;
	}
	#shows .wrapper .shows-wrapper {
		width: 50%;
		overflow: unset;
	}
}
#shows .wrapper .shows-wrapper .past-shows .content {
	padding: 25px 10px 25px 17px;
}
@media only screen and (min-width: 768px) {
	#shows .wrapper .shows-wrapper .upcoming-shows {
		height: 50vh;
	}
	#shows .wrapper .shows-wrapper .past-shows {
		height: 50vh;
		overflow: hidden;
	}
}
#shows .wrapper .shows-wrapper .past-shows .content {
  overflow-y: scroll;
  height: 100%;
}
#shows .wrapper .shows-wrapper .content {
  padding: 150px 10px 25px 17px;
}
@media only screen and (min-width: 768px) {
	#shows .wrapper .shows-wrapper .content {
		padding: 25px 10px 25px 35px;
	}
}
#shows .wrapper .shows-wrapper .content p {
  margin: 0;
}
#shows .wrapper .shows-wrapper .content p.month, #shows .wrapper .shows-wrapper .content p span.day {
	padding-left: 18px;
}
#shows .wrapper .shows-wrapper .content p.month, 
#shows .wrapper .shows-wrapper .content p.year {
	padding-top: 14px;
}
#shows .wrapper .shows-wrapper .content p.month {
	padding-bottom: 14px;
}
#shows .wrapper .shows-wrapper .content p span.day {
	padding-right: 38px;
}
#shows .wrapper .shows-wrapper .content p:has(.day) {
	font-family: "Scto Grotesk A", sans-serif;
	color: grey;
}
#shows .wrapper .shows-wrapper .content p:has(.day) span {
	font-family: "Courier Prime", monospace;
	color: #fff;
}
#infos {
  display: flex;
  flex-direction: column;
  justify-content: end;
  height: 100%;
}
#infos .contact {
  height: 50vh;
  padding-left: 18px;
  padding-top: 25px;
}
#infos .contact p {
  margin: 0;
  padding-bottom: 18px;
}
#infos .contact p a {
  color: var(--white-color);
  text-decoration: none;
}

@media only screen and (max-width: 768px) {
	.discography-wrapper.scrollable-area {
		display: none;
	}
}
@media only screen and (min-width: 768px) {
	.discography-slider {
		display: none;
	}
}

.discography-slider {
  position: relative;
  height: 50%;
  overflow: hidden;
}

.discography-slider .discography-wrapper {
  height: 100%;
  display: flex;
  flex-direction: row;
  overflow: hidden;
  scroll-behavior: smooth;
}

.discography-slider .discography-item {
  min-width: 100%;
  flex: 0 0 100%;
}

.discography-arrow {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  z-index: 20;
  background: none;
  border: none;
  color: white;
	font-size: 22px;
	padding: 0;;
  cursor: pointer;
}

.discography-prev {
  left: 15px;
}

.discography-next {
  right: 15px;
}

#discography .wrapper {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  overflow: hidden;
}
#discography .wrapper .img-wrapper {
	height: 50%;
	position: relative;
}
#discography .wrapper .img-wrapper .preview-content {
	position: absolute;
	bottom: 15px;
	left: 20px;
}
@media only screen and (min-width: 768px) {
	#discography .wrapper .img-wrapper .preview-content {
		display: none;
	}
}
#discography .wrapper .img-wrapper .preview-content h3, 
#discography .wrapper .img-wrapper .preview-content p {
	margin: 0;
}
@media only screen and (max-width: 768px) {
	#discography .wrapper .img-wrapper img {
		position: fixed;
		top: 0;
		left: 0;
		width: 100%;
		height: 100%;
		object-fit: cover;
		filter: blur(5px);
	}
	#discography .wrapper .img-wrapper .preview-content h3 {
		font-size: 14px;
		font-family: "Courier Prime", monospace;
	}
	#discography .wrapper .img-wrapper .preview-content p {
		font-size: 14px; 
		font-family: "Scto Grotesk A", sans-serif;
	}
	#discography .wrapper .discography-wrapper .discography-item h3,
	#discography .wrapper .discography-wrapper .discography-item p {
		display: none;	
	}
}

#discography .wrapper .img-wrapper img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
#discography .wrapper .discography-wrapper .discography-item { 
  position: relative;	
  display: flex;
  flex-direction: column;
  height: 90%;
  cursor: pointer;
  color: white;
  text-decoration: none;
  transition: 0.4s;
}
#discography .wrapper .discography-slider .discography-wrapper .discography-item { 
	height: 100%;
	justify-content: center;
	align-items: anchor-center;
	z-index: 1;	
}
#discography .wrapper .discography-slider .discography-wrapper .discography-item img { 
    height: 70%;
    width: 75%;
    max-width: unset;
}
#discography .wrapper .discography-wrapper .discography-item.inactive::before {
    content: "";
    position: absolute;
    display: block;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    inset: 0;
    background: rgba(0, 0, 0, 0.4);
    z-index: 1;
}
#discography .wrapper .discography-wrapper .discography-item.inactive {
  color: #adadad;
}
#discography .wrapper .discography-wrapper .discography-item h3 {
  font-size: 14px; 
  font-family: "Scto Grotesk A", sans-serif;
  font-weight: 600;
  margin: 0;
  padding-top: 6px;
}
#discography .wrapper .discography-wrapper .discography-item p {
  font-size: 14px;
  font-family: "Courier Prime", monospace;
  margin: 0;
}
#discography .wrapper .discography-wrapper .discography-item img {
  height: 85%;
  max-width: unset;
}



#single-discography {
  position: relative;
}
#single-discography .wrapper {
  display: flex;
  justify-content: end;
}
#single-discography .wrapper .discography-items-container {
	width: 50%;
	display: flex;
	height: auto;
	justify-content: end;
	flex-direction: column;
	display: none;
}
@media only screen and (min-width: 768px) {
	#single-discography .wrapper .discography-items-container {
		display: block;
	}
}
#single-discography .wrapper .discography-items-container .discography-list {
  width: 100%;
  height: 50vh;
  display: flex;
  gap: 150px;
  align-items: center;
  padding: 10px 25px 0 25px;
  overflow: scroll;
}
#single-discography .wrapper .discography-items-container .discography-list a img {
  min-width: 180px;
}
#single-discography .wrapper .discography-items-container .discography-list a {
  text-decoration: none;
  color: white;
}
#single-discography .wrapper .discography-items-container .discography-list a h3 {
  font-size: 14px;
  font-family: "Scto Grotesk A", sans-serif;
  font-weight: 600;
  margin: 0;
  padding-bottom: 6px;
}
#single-discography .wrapper .discography-items-container .discography-list a p {
  font-size: 14px;
  font-family: "Courier Prime", monospace;
  margin: 0;
}
#single-discography .wrapper .discography-wrapper {
  width: 100%;
  display: flex;
  flex-direction: column-reverse;
}
@media only screen and (min-width: 768px) {
	#single-discography .wrapper .discography-wrapper {
		width: 50%;
		flex-direction: column;
	}
}
#single-discography .wrapper .discography-wrapper .top {
  height: 50vh;
}
#single-discography .wrapper .discography-wrapper .top .img-wrapper {
  height: 100%;
}
#single-discography .wrapper .discography-wrapper .top .img-wrapper img {
  height: 100%;
  width: auto;
  object-fit: cover;
}
#single-discography .wrapper .discography-wrapper .bottom {
  height: 50vh;
  overflow: hidden;
}
#single-discography .wrapper .discography-wrapper .bottom .content {
  overflow-y: scroll;
  height: 100%;
}
#single-discography .wrapper .discography-wrapper .bottom .content h1 {
  font-weight: 400;
  margin: 0;
}
#single-discography .wrapper .discography-wrapper .bottom .content .short-description {
  padding-bottom: 18px;
}
#single-discography .wrapper .discography-wrapper .content {
	padding: 65px 15px 25px 15px;
	font-size: 14px;
}
@media only screen and (min-width: 768px) {
	#single-discography .wrapper .discography-wrapper .content {
		padding: 25px 0 25px 0;
		font-size: inherit;
	}
}
#single-discography .wrapper .discography-wrapper .content p {
  margin: 0;
}

#projects {
	display: grid;
	grid-template-columns: 1fr 1fr;
	grid-template-rows: 1fr 1fr;
	height: 100vh;
	overflow: hidden;
	position: relative;
}
#projects .top-left {
	grid-area: 1/1;
	height: 50vh;
	display: flex;
	justify-content: space-between;
	align-items: center;
	position: absolute;
	width: 100%;
}
#projects .top-right {
  grid-area: 1/2;
  height: 50vh;
  width: 100vw;
}
#projects .top-left .projects-list .project-item {
	text-align: center;
}
@media only screen and (min-width: 768px) {
	#projects .top-left .projects-list .project-item {
		text-align: left;
	}
	#projects .top-right {
		width: auto;
	}
	#projects .top-left {
		width: inherit;
		position: relative;
	}
}
#projects .bottom-left {
  grid-area: 2/1;
}
#projects .bottom-right {
  grid-area: 2/2;
}

/* images */
.top-right img,
.bottom-right img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* scrollable list */
.top-left {
  overflow-y: auto;
}

#prev-project,
#next-project {
  background: none;
  border: none;
  font-size: 24px;
  cursor: pointer;
  color: white;
}

#prev-project {
  transform: rotate(90deg);
}

#next-project {
  transform: rotate(-90deg);
}

.bottom-left {
  height: 50vh;
  overflow: hidden;
  min-height: 0;
}

#project-description {
  height: 100%;
  overflow-y: auto;
  padding: 20px;
}

.project-item {
  display: none;
}

.project-item.active {
  display: block;
}

#media .media-wrapper {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  overflow: hidden;
}
#media .media-wrapper .video-wrapper {
  height: 50%;
}
#media .media-wrapper .img-wrapper .img-item {
	display: flex;
	flex-direction: column;
	height: 100%;
	width: 100vw;
	cursor: pointer;
	color: #adadad;
	transition: 0.4s;
}
@media only screen and (min-width: 768px) {
	#media .media-wrapper .img-wrapper .img-item {
		display: flex;
		flex-direction: column;
		height: 70%;
		width: auto;
		cursor: pointer;
		color: #adadad;
		transition: 0.4s;
	}
}
#media .media-wrapper .img-wrapper .img-item img {
  filter: grayscale(100%);
  transition: filter 0.3s ease;
  height: -webkit-fill-available;
  max-width: unset;
}
#media .media-wrapper .img-wrapper .img-item:hover img {
  filter: grayscale(0%);
}
#media .media-wrapper .img-wrapper .img-item:hover {
  color: var(--white-color);
}

.scrollable-area {
  display: flex;
  align-items: center;
  height: 50%;
  overflow: scroll;
}
@media only screen and (min-width: 768px) {
	.scrollable-area {
		gap: 25px;
		padding: 10px 25px 0 25px;
	}
}
#lightbox {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.9);
  display: none;
  justify-content: center;
  align-items: center;
  z-index: 9999;
}
#lightbox.active {
  display: flex;
}
#lightbox .lightbox-content {
  position: relative;
  text-align: center;
}
@media only screen and (min-width: 768px) {
	#lightbox img {
		max-width: 80%;
		max-height: 80%;
	}
}
#lightbox button {
  position: absolute;
  background: none;
  border: none;
  color: white;
  font-size: 20px;
  cursor: pointer;
}
#lightbox #lightbox-img {
  opacity: 0;
  transition: opacity 0.3s ease;
}
#lightbox #lightbox-img.visible {
  opacity: 1;
}
#lightbox #close {
  top: 20px;
  right: 10px;
}
#lightbox #prev {
  left: 20px;
}
#lightbox #next {
  right: 20px;
}
#lightbox #next img {
  transform: rotate(180deg);
}
#lightbox #lightbox-caption {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translateX(-50%);
  color: white;
  font-size: 14px;
}

/* pre-home/splash page */
#prehome-overlay {
	position: fixed;
	inset: 0;
	background: #000;
	z-index: 99999;
	display: flex;
	justify-content: center;
	align-items: center;
	transition: opacity 0.8s ease;
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
}

.prehome-content {
  text-align: center;
  color: white;
}

#enter-btn {
  margin-top: 20px;
  padding: 14px 42px;
  border: 1px solid white;
  background: transparent;
  color: white;
  cursor: pointer;
  letter-spacing: 2px;
  transition: 0.3s;
}

#prehome-overlay.hidden {
  opacity: 0;
  pointer-events: none;
}
#prehome-overlay .overlay-content {
	position: relative;
}

.progress-container {
	width: 100%;
	overflow: hidden;
	position: fixed;
	left: 0;
	margin-bottom: 0;
	height: 14px;
	top: 50%;
	transform: translateY(-50%);
	z-index: -1;
}

.progress-bar {
  width: 0%;
  height: 100%;
  background: white;
}

#enter-btn {
	background: transparent;
	margin-top: 0;
	border: 0;
	font-size: 15px;
	font-weight: bold;
	font-family: 'Scto Grotesk A';
	color: white;
	cursor: pointer;
}

#music-toggle {
  position: absolute;
  bottom: 40px;
  left: 50%;
  transform: translateX(-50%);

  background: none;
  border: none;
  color: white;

  cursor: pointer;
  font-size: 12px;
  letter-spacing: 4px;

  opacity: 0.7;
}

#music-toggle:hover {
  opacity: 1;
}

#music-toggle img.pause {
	display: none;
}
#music-toggle.play img.play, #music-toggle.pause img.pause {
	display: none;
}
#music-toggle.pause img.play, #music-toggle.play img.pause {
	display: block;
}